#include "mainwindow.h"
#include <QApplication>
#include <iostream>
#include <brlcad/ConstDatabase.h>


int
load_database(BRLCAD::ConstDatabase* database, const char *path)
{
	int ret;
	try {
	    if (database->Load(path))
			ret = 0;
	    else {
			std::cerr << "Could not load file: " << *path << std::endl;
			ret = 2;
	    }
	}
	catch(BRLCAD::bad_alloc& e) {
	    std::cerr << "Out of memory in: " << e.what() << std::endl;
	    ret = 3;
	}
	return ret;
}


int
main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    MainWindow w;
    BRLCAD::ConstDatabase database;

    if (argc < 2) {
    	std::cout << "Usage: BRLCAD-GUI <path to database>" << std::endl;
    	return -1;
    } else {
	    load_database(&database, argv[1]);
	}
    const char *title = database.Title();
    //char *title = "Jeff Sieu";

    w.setWindowTitle(title);
    w.show();

    return a.exec();
}
